gtkmm 3.24.9

Public Member Functions | Protected Attributes | List of all members
Gdk::TimeCoord Class Reference

A Gdk::TimeCoord instance contains a single event of motion history. More...

`#include <gdkmm/timecoord.h>`

## Public Member Functions
| TimeCoord (GdkTimeCoord * castitem)
| TimeCoord (TimeCoord && other) noexcept
TimeCoord & | operator= (TimeCoord && other) noexcept
guint32 | get_time () const
double | get_value_at_axis (guint index) const
| Gets value at index axis.
GdkTimeCoord * | gobj ()
| Provides access to the underlying C object.
const GdkTimeCoord * | gobj () const
| Provides access to the underlying C object.

## Protected Attributes
GdkTimeCoord * | gobject_

## Detailed Description

A Gdk::TimeCoord instance contains a single event of motion history.

You shouldn't be using it as a standalone object.

## Constructor & Destructor Documentation

## ◆ TimeCoord() [1/2]

Gdk::TimeCoord::TimeCoord | ( | GdkTimeCoord * | castitem | ) |
| explicit

## ◆ TimeCoord() [2/2]

Gdk::TimeCoord::TimeCoord | ( | TimeCoord && | other | ) |
| noexcept

## Member Function Documentation

## ◆ get_time()

guint32 Gdk::TimeCoord::get_time | ( |  | ) | const

## ◆ get_value_at_axis()

double Gdk::TimeCoord::get_value_at_axis | ( | guint | index | ) | const

Gets value at index axis.

Note
  Gdk::Device::get_n_axes() will tell you how many axes are stored here.

Parameters

  index | Index of an axis from which the value will be taken.

Returns
  A value at index.

## ◆ gobj() [1/2]

GdkTimeCoord * Gdk::TimeCoord::gobj | ( |  | ) |
| inline

Provides access to the underlying C object.

## ◆ gobj() [2/2]

const GdkTimeCoord * Gdk::TimeCoord::gobj | ( |  | ) | const
| inline

Provides access to the underlying C object.

## ◆ operator=()

TimeCoord & Gdk::TimeCoord::operator= | ( | TimeCoord && | other | ) |
| noexcept

## Member Data Documentation

## ◆ gobject_

GdkTimeCoord* Gdk::TimeCoord::gobject_
| protected